EasyMOD alpha3 v0.0.10a released

This forum is now closed as part of retiring phpBB2.
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

This forum is now closed due to phpBB2.0 being retired.
Locked
Polarimous
Registered User
Posts: 1
Joined: Fri Aug 08, 2003 5:10 am
Contact:

Post by Polarimous »

Could you please make Moogies RPG Mod EMC compliable???

I really want to use this mod on by boards as well as others.

http://phpbb.com/phpBB/viewtopic.php?t=121377
A Member of the PHPBB Community.
User avatar
Ptirhiik
Registered User
Posts: 7411
Joined: Mon Jan 06, 2003 10:36 pm
Contact:

Post by Ptirhiik »

-=ET=- wrote: The path needs to be hard coded because it's in a JS script! (and I'm not sure it's possible to easily use a variable in this case) :roll:
You can pass a var into the javascript function call, it isn't a problem. BTW, it allows to set the js in another directory, like includes/ or javascripts/ if it's not specific to the templates (which seems to be the case for this one).

Code: Select all

onClick="javascript:my_fonc('{MY_VAR}');"
User avatar
Ptirhiik
Registered User
Posts: 7411
Joined: Mon Jan 06, 2003 10:36 pm
Contact:

Post by Ptirhiik »

Polarimous wrote: Could you please make Moogies RPG Mod EMC compliable???
EMC doesn't only mean "installable with easymod" :). Anyway, you should ask Moogie, not Nutzzy for this mod :).
Nuttzy99
Former Team Member
Posts: 4917
Joined: Fri Aug 03, 2001 7:09 am
Location: the 11th dimension
Contact:

Post by Nuttzy99 »

Ptirhiik, you gave the perfect answers to both ET and Polarimous, thanks ;)

ET, I would consider changing all paths, not just image paths ;)

-Nuttzy :cool:
SpellingCow.com - Free spell check service for your forums or any web form!
No Support via PM please!
MattGreer
Registered User
Posts: 97
Joined: Mon Jan 27, 2003 7:10 pm
Contact:

Post by MattGreer »

Apologies if this was answered before:

I'm running EM version 0.0.9c. How do I update?
Onwards,

Matt
Nuttzy99
Former Team Member
Posts: 4917
Joined: Fri Aug 03, 2001 7:09 am
Location: the 11th dimension
Contact:

Post by Nuttzy99 »

The installer is also an updater ;) Go for it!

-Nuttzy :cool:
SpellingCow.com - Free spell check service for your forums or any web form!
No Support via PM please!
User avatar
-=ET=-
Registered User
Posts: 799
Joined: Sun May 25, 2003 5:32 pm

Post by -=ET=- »

Ptirhiik - RPGnet-fr wrote: BTW, it allows to set the js in another directory, like includes/ or javascripts/ if it's not specific to the templates (which seems to be the case for this one).

On the contrary, it is specific to the template.
That's all the interest of this update as for each styles the color at the start and the end of the fade need to be different.
Ptirhiik - RPGnet-fr wrote: You can pass a var into the javascript function call, it isn't a problem.

Code: Select all

onClick="javascript:my_fonc('{MY_VAR}');"

OK.
But that's not enough for the newbie I am.
With only this I don't see how to modify the code to make it works with a variable :roll:

OK I need to add something like...

Code: Select all

'TEMPLATE_PATH' => $current_template_path,
...in page_header.php

Use it for...

Code: Select all

onClick="javascript:my_fonc('{TEMPLATE_PATH}');"
But, which function?
Do I need to declare one?
Where should I put this "onClick=..."?

OK, this is not the subject of the topic, but I still have no solution (except that I know now that it seems to be feasible...) :roll:

---------------

A part from that, I'm about to end my 20th EM compatible (not yet EMC) MOD! :D
Coooooooooooool!

I will be able tonight to build a clean 2.0.6 forum with:
- subSilver & subTrail (2 styles),
- English & French (2 languages),
- + 20 MODs and some specific settings,
...in 5 to 10 minutes with no conflict 8)

P.S.: here is the MODs (with there status):
- a-m_colors_management_1.6.0em (released)
- abnormal_posts_widening_1.0.1em (released)
- admin_account_actions_1.2.2em (proposal to the author sent - waiting for his answer)
- bottom_aligned_signature_1.0.1em (proposal to the author - not yet send)
- custom_mass_pm_1.3.9em (proposal to the author sent - waiting for his answer)
- dst_management_1.0.1em (released)
- fading_links_1.0.2em (proposal to the author sent - waiting for his answer)
- flashing_gif_for_new_pm_1.0.0 (released)*
- gender_1.2.5em (proposal to the author sent - waiting for his answer)
- keep_em_moving_1.0.2em (proposal to the author sent - waiting for his answer)
- last_visit_1.2.6em (proposal to the author sent - waiting for his answer)
- locked_at_the_bottom_1.2.4em (proposal to the author sent - waiting for his answer)
- log_actions_1.1.3em (proposal to the author sent - waiting for his answer)
- removing_coppa_1.0.1em (proposal to the author sent - waiting for his answer)
- select_default_language_1.3.0em (proposal to the author sent - waiting for his answer)
- send_pm_on_registration_1.0.3em (proposal to the author - not yet send)
- translate_posts_0.2.1em (proposal to the author sent - waiting for his answer)
- user_administration_link_1.1.0em (proposal to the author sent - waiting for his answer)
- web_site_integration_1.0.0em (personal MOD not yet released)
- who_viewed_a_topic_0.9.2em (proposal to the author sent - waiting for his answer)
- yellow_card_admin_1.4.0em (proposal to the author sent - waiting for his answer)
*: this MOD needs a new release of EM with the hard coded path issue fixed to be fully EM compatible (for each style).
Last edited by -=ET=- on Sun Aug 10, 2003 10:00 pm, edited 11 times in total.
Eternal newbie
Tyler Durden
Registered User
Posts: 190
Joined: Sun Aug 03, 2003 5:29 am
Location: San Diego, Ca
Contact:

Post by Tyler Durden »

Nuttzy99 wrote:
Tyler Durden wrote:Could not open [processed/language/lang_english/lang_admin.php.txt] for writing.
Well of course the file is not there, its trying to create it but you don't have permission to probably b/c your webserver has safe mode or something.
I'll try the ftp instead .... what the heck ... cant hurt! lol
Did you do this? If not, then why not? FTP comes up as the default selections and there is a big blurb in the installer about FTP being the best method to use.
Okay I got the thing to install using the manual mode.
WHY???????????????????????????????

/me violently shakes Tyler to snap him out of it

Please try FTP. If FTP doesn't work then report back with the errors it throws (in FTP Debug Mode).
Anyway ... 3 minute install? Nope .. I think that's a little *hopeful* dont you guys?
Uh... not for people that follow directions :P But I do understand that the directions could be spruced up a bit too, so its not entirely your fault. But when everyone is saying to use FTP and you don't.... well then I don't know what to tell you :P

-Nuttzy :cool:


Hi Nuttzy and thanks very much for replying!

The short answer to the FTP question is that everytime I selected FTP mode, I would get the error listed above. Perhaps at that point I should have created a blank file called lang_admin.php.txt and set it to 777?

I went with the other mode instead, but when I got to the point where I was supposed to move/copy files from one place to the other there wasnt a file to move .... so I skipped it. The other files were in place, it was just that dang lang_admin.php.txt file that wasnt there.

I pressed continue and didnt get any errors, and the mod appears in my control panel. So the only question left to answer is ...

Since I dont have a file called "lang_admin.php.txt" in the proper directory, what effect if any will that have? And is there a way I can just have someone send me this file (email?) and I ftp it to the directory and all be well?
Last edited by Tyler Durden on Fri Aug 08, 2003 7:51 pm, edited 3 times in total.
NiN Website ... NiN Forum Come On In!
*scientists have found the two most common elements in the universe are hydrogen and stupidity!*
chickeneater
Registered User
Posts: 400
Joined: Wed May 21, 2003 3:16 pm

Post by chickeneater »

Nuttzy... long time no problems :).
chickeneater
Registered User
Posts: 400
Joined: Wed May 21, 2003 3:16 pm

Post by chickeneater »

ok... here is an odd one. this is the error mod.
templates\\\\subSilver\\\\errors_body.tpl


that is what it says in the end. it installs perfectly, but it looks weird and the slashes are backwards
User avatar
-=ET=-
Registered User
Posts: 799
Joined: Sun May 25, 2003 5:32 pm

Post by -=ET=- »

chickeneater wrote: Nuttzy... long time no problems :).

sh!
He's sleeping on the keyboard, don't speak too loud :?

lol :wink:
Eternal newbie
chickeneater
Registered User
Posts: 400
Joined: Wed May 21, 2003 3:16 pm

Post by chickeneater »

ok, sorry. I try not to wake the sleeping baby
Nuttzy99
Former Team Member
Posts: 4917
Joined: Fri Aug 03, 2001 7:09 am
Location: the 11th dimension
Contact:

Post by Nuttzy99 »

chickeneater wrote: ok... here is an odd one. this is the error mod.
templates\\\\subSilver\\\\errors_body.tpl


that is what it says in the end. it installs perfectly, but it looks weird and the slashes are backwards
Oh Great Master of Vagueness, please let us mortals know what the hell you are talking about! :P

"is what it says in the end" What the heck does this mean?? I need you to cut paste any error messages, and if it looks totally wierd then a screen shot would be nice. Also I need a download link to the MOD anytime you want me to look into a problem.

Thanks,
-Nuttzy :cool:
SpellingCow.com - Free spell check service for your forums or any web form!
No Support via PM please!
User avatar
-=ET=-
Registered User
Posts: 799
Joined: Sun May 25, 2003 5:32 pm

Post by -=ET=- »

Nuttzy99 wrote: Oh Great Master of Vagueness, please let us mortals know what the hell you are talking about! :P

lol!
In fact I was wrong :D
Eternal newbie
chickeneater
Registered User
Posts: 400
Joined: Wed May 21, 2003 3:16 pm

Post by chickeneater »

Locked

Return to “[2.0.x] MOD Writers Discussion”